/* Copyright (c) 2000  Adam Kropielnicki
   See the file COPYING for more information */

#ifndef _INCLUDED_SQL_RELAY_H
#define _INCLUDED_SQL_RELAY_H

#include "phpdl.h"

/* Functions accessable to PHP */

DLEXPORT ZEND_FUNCTION(sqlrc_alloc);
DLEXPORT ZEND_FUNCTION(sqlrc_setresultsetbuffersize);
DLEXPORT ZEND_FUNCTION(sqlrc_getresultsetbuffersize);
DLEXPORT ZEND_FUNCTION(sqlrc_ping);
DLEXPORT ZEND_FUNCTION(sqlrc_identify);
DLEXPORT ZEND_FUNCTION(sqlrc_cacheon);
DLEXPORT ZEND_FUNCTION(sqlrc_setcachettl);
DLEXPORT ZEND_FUNCTION(sqlrc_getcachefilename);
DLEXPORT ZEND_FUNCTION(sqlrc_cacheoff);
DLEXPORT ZEND_FUNCTION(sqlrc_sendquery);
DLEXPORT ZEND_FUNCTION(sqlrc_sendfilequery);
DLEXPORT ZEND_FUNCTION(sqlrc_preparequery);
DLEXPORT ZEND_FUNCTION(sqlrc_preparefilequery);
DLEXPORT ZEND_FUNCTION(sqlrc_substitution);
DLEXPORT ZEND_FUNCTION(sqlrc_inputbind);
DLEXPORT ZEND_FUNCTION(sqlrc_defineoutputbind);
DLEXPORT ZEND_FUNCTION(sqlrc_substitutions);
DLEXPORT ZEND_FUNCTION(sqlrc_inputbinds);
DLEXPORT ZEND_FUNCTION(sqlrc_validatebinds);
DLEXPORT ZEND_FUNCTION(sqlrc_executequery);
DLEXPORT ZEND_FUNCTION(sqlrc_getoutputbind);
DLEXPORT ZEND_FUNCTION(sqlrc_opencachedresultset);
DLEXPORT ZEND_FUNCTION(sqlrc_opencachedresultsetwithoffset);
DLEXPORT ZEND_FUNCTION(sqlrc_rowcount);
DLEXPORT ZEND_FUNCTION(sqlrc_colcount);
DLEXPORT ZEND_FUNCTION(sqlrc_totalrows);
DLEXPORT ZEND_FUNCTION(sqlrc_affectedrows);
DLEXPORT ZEND_FUNCTION(sqlrc_firstrowindex);
DLEXPORT ZEND_FUNCTION(sqlrc_getnullsasemptystrings);
DLEXPORT ZEND_FUNCTION(sqlrc_getnullsasundefined);
DLEXPORT ZEND_FUNCTION(sqlrc_getfield);
DLEXPORT ZEND_FUNCTION(sqlrc_free);
DLEXPORT ZEND_FUNCTION(sqlrc_endsession);
DLEXPORT ZEND_FUNCTION(sqlrc_suspendsession);
DLEXPORT ZEND_FUNCTION(sqlrc_resumesession);
DLEXPORT ZEND_FUNCTION(sqlrc_resumecachedsession);
DLEXPORT ZEND_FUNCTION(sqlrc_getconnectionport);
DLEXPORT ZEND_FUNCTION(sqlrc_getconnectionsocket);
DLEXPORT ZEND_FUNCTION(sqlrc_getcachefileoffset);
DLEXPORT ZEND_FUNCTION(sqlrc_getcolumnname);
DLEXPORT ZEND_FUNCTION(sqlrc_getrow);
DLEXPORT ZEND_FUNCTION(sqlrc_getrowassoc);
DLEXPORT ZEND_FUNCTION(sqlrc_getcolumnnames);
DLEXPORT ZEND_FUNCTION(sqlrc_getcolumntype);
DLEXPORT ZEND_FUNCTION(sqlrc_getcolumnlength);
DLEXPORT ZEND_FUNCTION(sqlrc_getlongest);
DLEXPORT ZEND_FUNCTION(sqlrc_debugon);
DLEXPORT ZEND_FUNCTION(sqlrc_debugoff);
DLEXPORT ZEND_FUNCTION(sqlrc_getdebug);
DLEXPORT ZEND_FUNCTION(sqlrc_errormessage);

#endif	/* _INCLUDED_SQL_RELAY_H */
