#! /usr/bin/env python

# Copyright (c) 2000 Roman Milner
# See the file COPYING for more information

from SQLRelay import PySQLRClient
import sys, string
import time


def main():
    if len(sys.argv) != 5 and len(sys.argv) != 6:
        print "usage:    query.py host port user password query"
        print "      or  query.py socket user password query"
        sys.exit(0)
    if len(sys.argv) == 5:
    	s = PySQLRClient.sqlrclient(sys.argv[1],sys.argv[2],sys.argv[3])
    	s.sendQuery(sys.argv[4])
    if len(sys.argv) == 6:
    	s = PySQLRClient.sqlrclient((sys.argv[1], string.atoi(sys.argv[2])),
                       sys.argv[3],sys.argv[4])
    	s.sendQuery(sys.argv[5])
    for row in range(s.rowCount()):
        num_cols = s.colCount()
        for col in range(num_cols):
            print '"' + string.strip(s.getField(row, col)) + '"',
            if col < num_cols-1:
                print ',',
        print 

if __name__ == '__main__':
    main()
