// Copyright (c) 1999-2000  David Muse
// See the file COPYING for more information

#include <cachemanager.h>


void	shutDown() {
	exit(0);
}

int	main(int argc, char **argv) {

	#include <version.h>

	int	scaninterval;
	if (argc<2) {
		scaninterval=DEFAULT_INTERVAL;
	} else {
		scaninterval=atoi(argv[1]);
	}

	cachemanager	cacheman;
	cacheman.handleShutDown((void *)shutDown);
	cacheman.detach();
	cacheman.scan(scaninterval);
}
