// Copyright (c) 1999-2000  David Muse
// See the file COPYING for more information

#include <config.h>

#include <sqlrclient.h>
#include <iostream.h>

#include <stdlib.h>
#include <string.h>

int	main(int argc, char **argv) {

	#include <version.h>

	if (argc<7) {
		cout << "usage: fields  host port socket user password table";
		cout << endl;
		exit(0);
	}

	sqlrclient	*sqlrc=new sqlrclient(argv[1],atoi(argv[2]),argv[3],
						argv[4],argv[5],0,1);
	strstream	*query=new strstream();
	*query << "select * from " << argv[6] << " where rownum=1";
	sqlrc->sendQuery(query->str());
	sqlrc->endSession();
	delete query;

	for (int j=0; j<sqlrc->colCount(); j++) {
		cout << sqlrc->getColumnName(j);
		if (j<sqlrc->colCount()-1) {
			cout << ",";
		}
	}

	delete sqlrc;
}
