// Copyright (c) 1999-2000  David Muse
// See the file COPYING for more information

#include <config.h>

#include <sqlrclient.h>
#include <iostream.h>

#include <stdlib.h>
#include <string.h>

int	main(int argc, char **argv) {

	#include <version.h>

	if (argc<7) {
		cout << "usage: query  host port socket user password query [debug]";
		cout << endl;
		exit(0);
	}

	sqlrclient	*sqlrc=new sqlrclient(argv[1],atoi(argv[2]),argv[3],
						argv[4],argv[5],0,1);
	if (argv[7] && !strcmp(argv[7],"debug")) {
		sqlrc->debugOn();
	}
	sqlrc->sendQuery(argv[6]);

	for (int i=0; i<sqlrc->rowCount(); i++) {
		for (int j=0; j<sqlrc->colCount(); j++) {
			cout << "\"" << sqlrc->getField(i,j) << "\"";
			if (j<sqlrc->colCount()-1) {
				cout << ",";
			} else {
				cout << endl;
			}
		}
	}

	delete sqlrc;
}
