// Copyright (c) 1999-2000  David Muse
// See the COPYING file for more information.

#ifndef BINDVAR_H
#define BINDVAR_H

enum bindtype {
	STRING,
	LONG,
	DOUBLE
};

class bindvar {
	friend class sqlrclient;
	private:
		char		*variable;
		union {
			char	*stringval;
			long	longval;
			struct {
				double	value;
				short	precision;
				short	scale;
			} doubleval;
		} value;
		short		valuesize;
		bindtype	type;
		short		send;
		
};

#endif
