// Copyright (c) 1999-2000  David Muse
// See the file COPYING for more information

#include <private/row.h>
#include <stdlib.h>

row::row() {
	first=NULL;
}

row::~row() {

	current=first;
	while (current) {
		first=current;
		current=current->next;
		delete first;
	}
}

void	row::addField(char *buffer, int length) {

	if (!first) {
		current=new field();
		first=current;
	} else {
		current->next=new field();
		current=current->next;
	}
	current->value=buffer;
	current->length=length;
}

void	row::noMoreFields() {

	if (current) {
		current->next=NULL;
	}
}
