// Copyright (c) 1999  David Muse
// See the file COPYING for more information

#ifndef SQLCACHED_H
#define SQLCACHED_H

#include <config.h>
#include <defaults.h>
#include <daemon.h>

#include <strstream.h>
#include <fstream.h>
#include <iostream.h>

#include <time.h>
#include <stdlib.h>
#include <unistd.h>
#if defined(HAVE_DIRENT_H)
	#include <dirent.h>
#elif defined(HAVE_DIR_H)
	#include <dir.h>
#elif defined(HAVE_NDIR_H)
	#include <ndir.h>
#elif defined(HAVE_SYS_NDIR_H)
	#include <sys/ndir.h>
#endif
#include <string.h>

class cachemanager : public daemon {
	public:
		void	scan(int interval);
	private:
		void	erase(char *filename);
};

#endif
