// Copyright (c) 1999-2000  David Muse
// See the file COPYING for more information

#include <listener.h>

#include <stdlib.h>

listener	*lsnr;

RETSIGTYPE	shutDown() {

	// clean up
	delete lsnr;
	exit(0);
}

int	main(int argc, char **argv) {

	#include <version.h>

	// launch the listener
	lsnr=new listener();
	lsnr->handleShutDown((RETSIGTYPE *)shutDown);
	lsnr->initListener(argc,argv);
	lsnr->listen();
}
