#!/usr/bin/env perl

# Copyright (c) 2000  David Muse
# See the file COPYING for more information.

use DBI;

#usage...
if ($#ARGV+1<6) {
	print("usage: perl-dbi.pl host port socket user password query\n");
	exit;
}

my $dbh=DBI->connect("DBI:SQLRelay:host=$ARGV[0];port=$ARGV[1];socket=$ARGV[2]",$ARGV[3],$ARGV[4])
	or die DBI->errstr;

my $sth=$dbh->prepare($ARGV[5])
	or die DBI->errstr;

$sth->execute()
	or die DBI->errstr;

while (@data=$sth->fetchrow_array()) {
	
	foreach $col (@data) {
		print "\"$col\",";
	}
	print "\n";
}

$dbh->disconnect;
