// Copyright (c) 2000  David Muse
// See the file COPYING for more information.

#include <stdlib.h>
#include <sqlrclient.h>
#include <iostream.h>
#include <unistd.h>

char	*host;
int	port;
char	*socket;
char	*login;
char	*password;
char	*query;
int	forkcount;

void	runQuery(void *id) {

	sqlrclient	*s=new sqlrclient(host,port,socket,
						login,password,0,1);
	s->sendFinalQuery(query);
	s->endSession();
	
	for (int i=0; i<s->rowCount(); i++) {
		cout << (int)id << "  ";
		for (int j=0; j<s->colCount(); j++) {
			cout << "\"" << s->getField(i,j) << "\",";
		}
		cout << endl;
	}

	delete s;
}

main(int argc, char **argv) {

	host=argv[1];
	port=atoi(argv[2]);
	socket=atoi(argv[3]);
	login=argv[4];
	password=argv[5];
	query=argv[6];
	forkcount=atoi(argv[7]);

	for (int i=0; i<forkcount; i++) {
		if (fork()) {
			runQuery(i);
			_exit(0);
		}
	}
}
