// Copyright (c) 2000  David Muse
// See the file COPYING for more information.

#include <stdlib.h>
#include <sqlrclient.h>
#include <iostream.h>
#include <pthread.h>

char	*host;
int	port;
char	*socket;
char	*login;
char	*password;
char	*query;
int	threadcount;

void	runQuery(void *id) {

	sqlrclient	*s=new sqlrclient(host,port,socket,
						login,password,0,1);
	s->sendFinalQuery(query);
	s->endSession();
	
	for (int i=0; i<s->rowCount(); i++) {
		cout << (int)id << "  ";
		for (int j=0; j<s->colCount(); j++) {
			cout << "\"" << s->getField(i,j) << "\",";
		}
		cout << endl;
	}

	delete s;
}

main(int argc, char **argv) {

	host=argv[1];
	port=atoi(argv[2]);
	socket=atoi(argv[3]);
	login=argv[4];
	password=argv[5];
	query=argv[6];
	threadcount=atoi(argv[7]);

	pthread_t	th[threadcount];

	for (int i=0; i<threadcount; i++) {
		pthread_create(&th[i],NULL,
			(void *)runQuery,
			(void *)i);
	}

	for (int i=0; i<threadcount; i++) {
		pthread_join(th[i],NULL);
	}
}
